View Issue Details

IDProjectCategoryView StatusLast Update
0001483WishesMacropublic2013-02-03 00:33
ReporterJohnDoe Assigned Tovskirdin  
PrioritynormalSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Fixed in Version3.0 
Summary0001483: Сделать параметры Dlg.GetValue() опциональными
DescriptionПредлагаю сделать параметры функции Dlg.GetValue() опциональными.
По умолчанию Type=0 (DLGGETVALUE_VALUE), а ID = Dlg.CurPos.

Т.е. Dlg.GetValue() без параметров будет возвращать Текст/Значение/Состояние активного элемента.
Additional Informationhttp://forum.farmanager.com/viewtopic.php?p=67905#p67905
TagsNo tags attached.
Build2561

Activities

JohnDoe

2010-09-10 11:52

updater   bugnote:0005753

Дополнение: Имеет смысл поменять местами параметры: тогда можно будет указывать только один параметр - тип запрашиваемой информации (для текущего элемента).

JohnDoe

2012-03-15 13:52

updater   bugnote:0008772

Сейчас в Far 3 параметры любой функции опциональны, так что часть тикета реализована.

Однако хочется чтобы Dlg.GetValue() вела себя как все прочие *Value, т.е. по умолчанию возвращала значение Текущего элемента.

vskirdin

2012-03-16 06:57

administrator   bugnote:0008774

build 2550

JohnDoe

2012-03-19 09:40

updater   bugnote:0008782

Работает, спасибо.
Осталось соспоставить этому какое-то значение Pos.
По аналогии с другими функциями напрашивается 0, но к сожалению 0 уже занято, зато свободно -1

Dlg.GetValue()==Dlg.GetValue(-1)

vskirdin

2012-03-19 09:46

administrator   bugnote:0008783

НИХРЕНА не будет для этого случая никаких констант.
Смирись.

JohnDoe

2012-03-19 10:56

updater   bugnote:0008784

>Смирись.
Да легко.
Но почему так категорично?

vskirdin

2012-03-20 08:49

administrator   bugnote:0008787

build 2561

JohnDoe

2012-03-23 15:03

updater   bugnote:0008822

Порядок.
Осталось упомянуть о -1 в Писании.

vskirdin

2012-03-28 11:16

administrator   bugnote:0008828

готово.
фсе?

JohnDoe

2012-03-29 09:18

updater   bugnote:0008831

Да!

Issue History

Date Modified Username Field Change
2010-08-30 11:26 JohnDoe New Issue
2010-09-10 11:52 JohnDoe Note Added: 0005753
2012-03-15 13:52 JohnDoe Note Added: 0008772
2012-03-16 06:57 vskirdin Note Added: 0008774
2012-03-16 06:57 vskirdin Assigned To => vskirdin
2012-03-16 06:57 vskirdin Status new => feedback
2012-03-19 09:40 JohnDoe Note Added: 0008782
2012-03-19 09:40 JohnDoe Status feedback => assigned
2012-03-19 09:46 vskirdin Note Added: 0008783
2012-03-19 10:56 JohnDoe Note Added: 0008784
2012-03-20 08:49 vskirdin Note Added: 0008787
2012-03-20 08:49 vskirdin Status assigned => feedback
2012-03-23 15:03 JohnDoe Note Added: 0008822
2012-03-23 15:03 JohnDoe Status feedback => assigned
2012-03-23 15:04 JohnDoe Status assigned => feedback
2012-03-28 11:16 vskirdin Note Added: 0008828
2012-03-29 09:18 JohnDoe Note Added: 0008831
2012-03-29 09:18 JohnDoe Status feedback => assigned
2012-03-29 09:18 JohnDoe Status assigned => resolved
2012-03-29 11:42 vskirdin Build => 2561
2012-03-29 11:42 vskirdin Status resolved => closed
2012-03-29 11:42 vskirdin Resolution open => fixed
2012-03-29 11:42 vskirdin Fixed in Version => 3.0
2013-02-03 00:33 alexy Severity minor => feature